JSONBuilder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.web
[Groovy] Class JSONBuilder

    java.lang.Object
      grails.web.JSONBuilder

    class JSONBuilder
    extends java.lang.Object

Builds JSON data. Replaces grails.util.JSonBuilder.

Authors:
  Marc Palmer
  Graeme Rocher

Since:
  1.2

Property Summary
`static java.lang.Object` | `NODE_ELEMENT`
`java.lang.Object` | `current`
`java.lang.Object` | `nestingStack`
`java.lang.Object` | `root`

Method Summary
`java.util.List` | `array(groovy.lang.Closure c)`
`JSON` | `build(groovy.lang.Closure c)`
`java.lang.Object` | `getProperty(java.lang.String propName)`
`java.lang.Object` | `invokeMethod(java.lang.String methodName)`
`java.lang.Object` | `invokeMethod(java.lang.String methodName, java.lang.Object args)`
`void` | `setProperty(java.lang.String propName, java.lang.Object value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### NODE_ELEMENT

    static java.lang.Object NODE_ELEMENT

### current

    java.lang.Object current

### nestingStack

    java.lang.Object nestingStack

### root

    java.lang.Object root

Method Detail

### array

    java.util.List array(groovy.lang.Closure c)

### build

    JSON build(groovy.lang.Closure c)

### getProperty

    java.lang.Object getProperty(java.lang.String propName)

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String methodName)

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String methodName, java.lang.Object args)

### setProperty

    void setProperty(java.lang.String propName, java.lang.Object value)

Groovy Documentation